]> git.pld-linux.org Git - packages/rpm.git/blob - rpm.spec
- package our rpmrc
[packages/rpm.git] / rpm.spec
1 #
2 # TODO:
3 # - rebuild database after upgrading from rpm5
4 # - when adopting, use 4.5 ticket for checklist: https://bugs.launchpad.net/pld-linux/+bug/262985
5 #
6 # Conditional build:
7 %bcond_without  apidocs         # don't generate documentation with doxygen
8 %bcond_without  python2         # don't build python bindings
9 %bcond_without  python3         # don't build python bindings
10 %bcond_without  plugins         # build plugins
11 %bcond_without  recommends_tags # build without Recommends tag (bootstrapping)
12 %bcond_with     db61            # use DB 6.1 instead of 5.3
13
14 # versions of required libraries
15 %if %{with db61}
16 %define         reqdb_pkg       db6.1
17 %define         reqdb_ver       6.1
18 %define         reqdb_pkgver    6.1.19
19 %else
20 %define         reqdb_pkg       db5.3
21 %define         reqdb_ver       5.3
22 %define         reqdb_pkgver    5.3.28.0
23 %endif
24 %define         reqpopt_ver     1.15
25 %define         openssl_ver     1.1.1d
26 %define         sover           9.0.1
27
28 Summary:        RPM Package Manager
29 Summary(de.UTF-8):      RPM Packet-Manager
30 Summary(es.UTF-8):      Gestor de paquetes RPM
31 Summary(pl.UTF-8):      Aplikacja do zarządzania pakietami RPM
32 Summary(pt_BR.UTF-8):   Gerenciador de pacotes RPM
33 Summary(ru.UTF-8):      Менеджер пакетов от RPM
34 Summary(uk.UTF-8):      Менеджер пакетів від RPM
35 Name:           rpm
36 Version:        4.15.1
37 Release:        0.1
38 Epoch:          1
39 License:        GPL v2 / LGPL v2.1
40 Group:          Base
41 Source0:        http://ftp.rpm.org/releases/rpm-4.15.x/%{name}-%{version}.tar.bz2
42 # Source0-md5:  ed72147451a5ed93b2a48e2f8f5413c3
43 Source1:        %{name}.groups
44 Source2:        macros.pld
45 Source3:        %{name}-install-tree
46 Source4:        %{name}-find-spec-bcond
47 Source5:        %{name}-hrmib-cache
48 Source6:        %{name}-groups-po.awk
49 Source7:        %{name}-compress-doc
50 Source8:        %{name}-php-provides
51 Source9:        %{name}-php-requires
52 Source10:       %{name}.sysinfo
53 Source11:       perl.prov
54 Source12:       %{name}-user_group.sh
55 Source13:       %{name}.sysconfig
56 Source14:       %{name}-java-requires
57 # http://svn.pld-linux.org/banner.sh/
58 Source15:       banner.sh
59 Source16:       ftp://ftp.pld-linux.org/dists/th/PLD-3.0-Th-GPG-key.asc
60 # Source16-md5: 23914bb49fafe7153cee87126d966461
61 Source17:       %{name}-mimetypedeps
62 Source18:       macros.local
63 Source19:       %{name}.noautocompressdoc
64 Source20:       %{name}.noautoprov
65 Source21:       %{name}.noautoprovfiles
66 Source22:       %{name}.noautoreq
67 Source24:       %{name}.noautoreqfiles
68 Source25:       %{name}-php-requires.php
69 Source26:       %{name}db_checkversion.c
70 Source27:       macros.lang
71 Source28:       %{name}db_reset.c
72 Source29:       dbupgrade.sh
73 Source30:       rubygems.rb
74 Source31:       gem_helper.rb
75 Source32:       rpmrc.pld
76 Patch0:         %{name}-man_pl.patch
77 Patch1:         %{name}-popt-aliases.patch
78 Patch2:         %{name}-perl-macros.patch
79 Patch3:         %{name}-perl-req-perlfile.patch
80 Patch4:         %{name}-scripts-closefds.patch
81 Patch5:         %{name}-php-macros.patch
82 Patch6:         %{name}-lua.patch
83 Patch7:         %{name}-perl_req-INC_dirs.patch
84 Patch8:         %{name}-debuginfo.patch
85 Patch9:         %{name}-javadeps.patch
86 Patch10:        %{name}-libtool-deps.patch
87 Patch11:        %{name}-builddir-readlink.patch
88 Patch12:        %{name}-changelog_order_check_nonfatal.patch
89 Patch13:        %{name}-postun-nofail.patch
90 Patch14:        %{name}-clean-docdir.patch
91 Patch15:        %{name}-perl-magic.patch
92 Patch16:        %{name}-ignore-missing-macro-files.patch
93 Patch17:        x32.patch
94 Patch18:        %{name}-fix-compress-doc.patch
95 Patch20:        rpm5-db-compat.patch
96 Patch21:        python-internal-build.patch
97 URL:            https://rpm.org/
98 BuildRequires:  %{reqdb_pkg}-devel >= %{reqdb_pkgver}
99 BuildRequires:  %{reqdb_pkg}-sql-devel >= %{reqdb_pkgver}
100 BuildRequires:  autoconf >= 2.63
101 BuildRequires:  automake >= 1.4
102 BuildRequires:  bzip2-devel >= 1.0.2-17
103 BuildRequires:  elfutils-devel >= 0.108
104 BuildRequires:  gettext-tools >= 0.19.2
105 BuildRequires:  libarchive-devel
106 BuildRequires:  libmagic-devel
107 BuildRequires:  openssl-devel >= %{openssl_ver}
108 %if %{with plugins}
109 BuildRequires:  audit-libs-devel
110 BuildRequires:  dbus-devel
111 BuildRequires:  libselinux-devel >= 2.1.0
112 %endif
113 # needed only for AM_PROG_CXX used for CXX substitution in rpm.macros
114 BuildRequires:  libstdc++-devel
115 BuildRequires:  libtool >= 1:1.4.2-9
116 BuildRequires:  lua53-devel >= 5.3.5
117 BuildRequires:  ossp-uuid-devel
118 BuildRequires:  patch >= 2.2
119 BuildRequires:  popt-devel >= %{reqpopt_ver}
120 %{?with_python2:BuildRequires:  python-devel >= 1:2.3}
121 %{?with_python3:BuildRequires:  python3-devel}
122 BuildRequires:  python-modules >= 1:2.3
123 %if %{with python2} || %{with python3}
124 BuildRequires:  rpm-pythonprov
125 %endif
126 BuildRequires:  tcl
127 BuildRequires:  xz-devel
128 BuildRequires:  zlib-devel
129 BuildRequires:  zstd-devel
130 %if %{with apidocs}
131 BuildRequires:  doxygen
132 BuildRequires:  ghostscript
133 BuildRequires:  graphviz
134 BuildRequires:  tetex-pdftex
135 %endif
136 Requires(posttrans):    coreutils
137 Requires:       %{name}-base = %{epoch}:%{version}-%{release}
138 Requires:       %{name}-lib = %{epoch}:%{version}-%{release}
139 Requires:       FHS >= 3.0-2
140 Requires:       openssl >= %{openssl_ver}
141 Requires:       popt >= %{reqpopt_ver}
142 %if %{with recommends_tags}
143 Recommends:     rpm-plugin-audit
144 Recommends:     rpm-plugin-prioreset
145 Recommends:     rpm-plugin-syslog
146 Recommends:     rpm-plugin-systemd-inhibit
147 %endif
148 Provides:       rpm-db-ver = %{reqdb_ver}
149 Obsoletes:      rpm-getdeps
150 Obsoletes:      rpm-utils-perl
151 Obsoletes:      rpm-utils-static
152 Conflicts:      glibc < 2.2.92
153 # db4.6 poldek needed
154 Conflicts:      poldek < 0.21-0.20070703.00.3
155 # segfaults with lzma 0.42.2
156 Conflicts:      lzma-libs < 4.999.3
157 Conflicts:      util-vserver < 0.30.216-1.pre3034.7
158 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
159
160 %define         _binary_payload         w9.gzdio
161
162 # don't require very fresh rpm.macros to build
163 %define         find_lang sh ./scripts/find-lang.sh $RPM_BUILD_ROOT
164 %define         ix86    i386 i486 i586 i686 athlon geode pentium3 pentium4
165 %define         ppc     ppc ppc7400 ppc7450
166 %define         x8664   amd64 ia32e x86_64
167
168 %define         _rpmlibdir /usr/lib/rpm
169 %define         _noautocompressdoc      RPM-GPG-KEY
170
171 %description
172 RPM is a powerful package manager, which can be used to build,
173 install, query, verify, update, and uninstall individual software
174 packages. A package consists of an archive of files, and package
175 information, including name, version, and description.
176
177 %description -l de.UTF-8
178 RPM ist ein kräftiger Packet-Manager, der verwendet sein kann zur
179 Installation, Anfrage, Verifizierung, Aktualisierung und
180 Uninstallation individueller Softwarepakete. Ein Paket besteht aus
181 einem Archiv Dateien und Paketinformation, inklusive Name, Version und
182 Beschreibung.
183
184 %description -l es.UTF-8
185 RPM es un poderoso administrador de paquetes, que puede ser usado para
186 construir, instalar, pesquisar, verificar, actualizar y desinstalar
187 paquetes individuales de software. Un paquete consiste en un
188 almacenaje de archivos, y información sobre el paquete, incluyendo
189 nombre, versión y descripción.
190
191 %description -l pl.UTF-8
192 RPM jest doskonałym programem zarządzającym pakietami. Umożliwia on
193 przebudowanie, instalację czy weryfikację dowolnego pakietu.
194 Informacje dotyczące każdego pakietu, takie jak jego opis, lista
195 plików wchodzących w skład pakietu, zależności od innych pakietów, są
196 przechowywane w bazie danych i można je uzyskać za pomocą opcji
197 odpytywania programu rpm.
198
199 %description -l pt_BR.UTF-8
200 RPM é um poderoso gerenciador de pacotes, que pode ser usado para
201 construir, instalar, pesquisar, verificar, atualizar e desinstalar
202 pacotes individuais de software. Um pacote consiste de um conjunto de
203 arquivos e informações adicionais, incluindo nome, versão e descrição
204 do pacote, permissões dos arquivos, etc.
205
206 %description -l ru.UTF-8
207 RPM - это мощный менеджер пакетов, который может быть использован для
208 создания, инсталляции, запросов (query), проверки, обновления и
209 удаления программных пакетов. Пакет состоит из файлового архива и
210 служебной информации, включающей название, версию, описание и другие
211 данные о пакете.
212
213 %description -l uk.UTF-8
214 RPM - це потужний менеджер пакетів, що може бути використаний для
215 створення, інсталяції, запитів (query), перевірки, поновлення та
216 видалення програмних пакетів. Пакет складається з файлового архіву та
217 службової інформації, що містить назву, версію, опис та іншу
218 інформацію про пакет.
219
220 %package base
221 Summary:        RPM base package - scripts used by rpm packages themselves
222 Summary(pl.UTF-8):      Podstawowy pakiet RPM - skrypty używane przez same pakiety rpm
223 Group:          Base
224 Requires:       filesystem
225 Obsoletes:      rpm-scripts
226 Obsoletes:      vserver-rpm
227
228 %description base
229 The RPM base package contains scripts used by rpm packages themselves.
230 These include:
231 - scripts for adding/removing groups and users needed for rpm
232   packages,
233 - banner.sh to display %%banner messages from rpm scriptlets.
234
235 %description base -l pl.UTF-8
236 Pakiet podstawowy RPM zwiera skrypty używane przez same pakiety rpm.
237 Zawiera on:
238 - skrypty dodające/usuwające grupy i użytkowników dla pakietów rpm,
239 - banner.sh do pokazywania komunikatów %%banner dla skryptletów rpm.
240
241 %package lib
242 Summary:        RPMs library
243 Summary(pl.UTF-8):      Biblioteki RPM-a
244 Group:          Libraries
245 Requires:       %{reqdb_pkg} >= %{reqdb_pkgver}
246 Requires:       %{reqdb_pkg}-sql >= %{reqdb_pkgver}
247 Requires:       libmagic >= 1.15-2
248 Requires:       openssl >= %{openssl_ver}
249 Requires:       popt >= %{reqpopt_ver}
250 Obsoletes:      rpm-libs
251 # avoid SEGV caused by mixed db versions
252 Conflicts:      poldek < 0.18.1-16
253
254 %description lib
255 RPMs library.
256
257 %description lib -l pl.UTF-8
258 Biblioteki RPM-a.
259
260 %package devel
261 Summary:        Header files for rpm libraries
262 Summary(de.UTF-8):      Header-Dateien für rpm Libraries
263 Summary(es.UTF-8):      Archivos de inclusión y bibliotecas para programas de manipulación de paquetes rpm
264 Summary(pl.UTF-8):      Pliki nagłówkowe bibliotek rpm
265 Summary(pt_BR.UTF-8):   Arquivos de inclusão e bibliotecas para programas de manipulação de pacotes RPM
266 Summary(ru.UTF-8):      Хедеры и библиотеки для программ, работающих с rpm-пакетами
267 Summary(uk.UTF-8):      Хедери та бібліотеки для програм, що працюють з пакетами rpm
268 Group:          Development/Libraries
269 Requires:       %{name}-lib = %{epoch}:%{version}-%{release}
270 Requires:       %{reqdb_pkg}-devel >= %{reqdb_pkgver}
271 Requires:       bzip2-devel
272 Requires:       elfutils-devel
273 Requires:       libmagic-devel
274 Requires:       openssl-devel >= %{openssl_ver}
275 %if %{with selinux}
276 Requires:       libselinux-devel
277 Requires:       libsemanage-devel
278 Requires:       libsepol-devel
279 %endif
280 Requires:       popt-devel >= %{reqpopt_ver}
281 Requires:       zlib-devel
282
283 %description devel
284 The RPM packaging system includes C libraries that make it easy to
285 manipulate RPM packages and databases. They are intended to ease the
286 creation of graphical package managers and other tools that need
287 intimate knowledge of RPM packages. This package contains header files
288 for these libraries.
289
290 %description devel -l de.UTF-8
291 Der RPM-Packensystem enthält eine C-Library, die macht es einfach
292 RPM-Pakete und Dateibanken zu manipulieren. Er eignet sich für
293 Vereinfachung des Schaffens grafischer Paket-Manager und anderer
294 Werkzeuge, die intime Kenntnis von RPM-Paketen brauchen.
295
296 %description devel -l es.UTF-8
297 El sistema de empaquetado RPM incluye una biblioteca C que vuelve
298 fácil la manipulación de paquetes y bases de datos RPM. Su objetivo es
299 facilitar la creación de administradores gráficos de paquetes y otras
300 herramientas que necesiten un conocimiento profundo de paquetes RPM.
301
302 %description devel -l pl.UTF-8
303 System RPM zawiera biblioteki C, które ułatwiają manipulowanie
304 pakietami RPM oraz bazami danych. W zamiarze ma to uprościć tworzenie
305 graficznych programów zarządzających pakietami oraz innych narzędzi,
306 które wymagają szczegółowej wiedzy na temat pakietów RPM. Ten pakiet
307 zawiera pliki nagłówkowe wspomnianych bibliotek.
308
309 %description devel -l pt_BR.UTF-8
310 O sistema de empacotamento RPM inclui uma biblioteca C que torna fácil
311 a manipulação de pacotes e bases de dados RPM. Seu objetivo é
312 facilitar a criação de gerenciadores gráficos de pacotes e outras
313 ferramentas que precisem de conhecimento profundo de pacotes RPM.
314
315 %description devel -l ru.UTF-8
316 Система управления пакетами RPM содержит библиотеку C, которая
317 упрощает манипуляцию пакетами RPM и соответствующими базами данных.
318 Эта библиотека предназначена для облегчения создания графических
319 пакетных менеджеров и других утилит, которым необходимо работать с
320 пакетами RPM.
321
322 %description devel -l uk.UTF-8
323 Система керування пакетами RPM містить бібліотеку C, котра спрощує
324 роботу з пакетами RPM та відповідними базами даних. Ця бібліотека
325 призначена для полегшення створення графічних пакетних менеджерів та
326 інших утиліт, що працюють з пакетами RPM.
327
328 %package utils
329 Summary:        Additional utilities for managing RPM packages and database
330 Summary(de.UTF-8):      Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
331 Summary(pl.UTF-8):      Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
332 Group:          Applications/File
333 Requires:       %{name} = %{epoch}:%{version}-%{release}
334 Requires:       popt >= %{reqpopt_ver}
335 %if %{with recommends_tags}
336 Recommends:     bzip2
337 Recommends:     gzip
338 %endif
339 Conflicts:      filesystem-debuginfo < 3.0-16
340
341 %description utils
342 Additional utilities for managing RPM packages and database.
343
344 %description utils -l de.UTF-8
345 Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.
346
347 %description utils -l pl.UTF-8
348 Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.
349
350 %package build
351 Summary:        Scripts for building binary RPM packages
352 Summary(de.UTF-8):      Scripts fürs Bauen binärer RPM-Pakete
353 Summary(pl.UTF-8):      Skrypty pomocnicze do budowania binarnych RPM-ów
354 Summary(pt_BR.UTF-8):   Scripts e programas executáveis usados para construir pacotes
355 Summary(ru.UTF-8):      Скрипты и утилиты, необходимые для сборки пакетов
356 Summary(uk.UTF-8):      Скрипти та утиліти, необхідні для побудови пакетів
357 Group:          Applications/File
358 Requires(pretrans):     coreutils
359 Requires(pretrans):     findutils
360 Requires:       %{name}-build-macros >= 1.712
361 Requires:       %{name}-utils = %{epoch}:%{version}-%{release}
362 Requires:       /bin/id
363 Requires:       awk
364 Requires:       bzip2
365 Requires:       chrpath >= 0.10-4
366 Requires:       cpio
367 Requires:       diffutils
368 Requires:       elfutils
369 Requires:       file >= 4.17
370 Requires:       fileutils
371 Requires:       findutils
372 %ifarch athlon
373 Requires:       gcc >= 3.0.3
374 %else
375 Requires:       gcc
376 %endif
377 Requires:       glibc-devel
378 Requires:       grep
379 Requires:       gzip
380 Requires:       make
381 Requires:       patch
382 Requires:       sed >= 4.0
383 Requires:       sh-utils
384 Requires:       tar >= 1:1.22
385 Requires:       textutils
386 Requires:       which
387 Requires:       xz
388 Provides:       rpmbuild(monoautodeps)
389 Provides:       rpmbuild(noauto) = 3
390 %ifarch %{x8664}
391 Conflicts:      automake < 1:1.7.9-2
392 Conflicts:      libtool < 2:1.5-13
393 %endif
394
395 %description build
396 Scripts for building binary RPM packages.
397
398 %description build -l de.UTF-8
399 Scripts fürs Bauen binärer RPM-Pakete.
400
401 %description build -l pl.UTF-8
402 Skrypty pomocnicze do budowania binarnych RPM-ów.
403
404 %description build -l pt_BR.UTF-8
405 Este pacote contém scripts e programas executáveis que são usados para
406 construir pacotes usando o RPM.
407
408 %description build -l ru.UTF-8
409 Различные вспомогательные скрипты и исполняемые программы, которые
410 используются для сборки RPM'ов.
411
412 %description build -l uk.UTF-8
413 Різноманітні допоміжні скрипти та утиліти, які використовуються для
414 побудови RPM'ів.
415
416 %package javaprov
417 Summary:        Additional utilities for checking Java provides/requires in RPM packages
418 Summary(pl.UTF-8):      Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach RPM
419 Group:          Applications/File
420 Requires:       %{name} = %{epoch}:%{version}-%{release}
421 Requires:       file
422 Requires:       findutils >= 1:4.2.26
423 Requires:       mktemp
424 Requires:       unzip
425
426 %description javaprov
427 Additional utilities for checking Java provides/requires in RPM
428 packages.
429
430 %description javaprov -l pl.UTF-8
431 Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach
432 RPM.
433
434 %package perlprov
435 Summary:        Additional utilities for checking Perl provides/requires in RPM packages
436 Summary(de.UTF-8):      Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen
437 Summary(pl.UTF-8):      Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w pakietach RPM
438 Group:          Applications/File
439 Requires:       %{name} = %{epoch}:%{version}-%{release}
440 Requires:       perl-Encode
441 Requires:       perl-devel
442 Requires:       perl-modules
443
444 %description perlprov
445 Additional utilities for checking Perl provides/requires in RPM
446 packages.
447
448 %description perlprov -l de.UTF-8
449 Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen.
450
451 %description perlprov -l pl.UTF-8
452 Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w
453 pakietach RPM.
454
455 %package pythonprov
456 Summary:        Python macros, which simplifies creation of RPM packages with Python software
457 Summary(pl.UTF-8):      Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Pythonie
458 Group:          Applications/File
459 Requires:       %{name} = %{epoch}:%{version}-%{release}
460 Requires:       python
461 Requires:       python-modules
462 Requires:       python-setuptools
463
464 %description pythonprov
465 Python macros, which simplifies creation of RPM packages with Python
466 software.
467
468 %description pythonprov -l pl.UTF-8
469 Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
470 Pythonie.
471
472 %package php-pearprov
473 Summary:        Additional utilities for checking PHP PEAR provides/requires in RPM packages
474 Summary(pl.UTF-8):      Dodatkowe narzędzia do sprawdzania zależności skryptów php w RPM
475 Group:          Applications/File
476 Requires:       %{name} = %{epoch}:%{version}-%{release}
477 Requires:       sed >= 4.0
478 Suggests:       php-pear-PHP_CompatInfo
479
480 %description php-pearprov
481 Additional utilities for checking PHP PEAR provides/requires in RPM
482 packages.
483
484 %description php-pearprov -l pl.UTF-8
485 Dodatkowe narzędzia do sprawdzenia zależności skryptów PHP PEAR w
486 pakietach RPM.
487
488 %package rubyprov
489 Summary:        Ruby tools, which simplify creation of RPM packages with Ruby software
490 Summary(pl.UTF-8):      Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Ruby
491 Group:          Applications/File
492 Requires:       %{name} = %{epoch}:%{version}-%{release}
493 Requires:       ruby
494 Requires:       ruby-modules
495 Requires:       ruby-rubygems
496
497 %description rubyprov
498 Ruby tools, which simplifies creation of RPM packages with Ruby
499 software.
500
501 %description rubyprov -l pl.UTF-8
502 Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
503 Ruby.
504
505 %package -n python-rpm
506 Summary:        Python interface to RPM library
507 Summary(pl.UTF-8):      Pythonowy interfejs do biblioteki RPM-a
508 Summary(pt_BR.UTF-8):   Módulo Python para aplicativos que manipulam pacotes RPM
509 Group:          Development/Languages/Python
510 Requires:       %{name} = %{epoch}:%{version}-%{release}
511 Requires:       python
512 Obsoletes:      rpm-python
513
514 %description -n python-rpm
515 The python-rpm package contains a module which permits applications
516 written in the Python programming language to use the interface
517 supplied by RPM (RPM Package Manager) libraries.
518
519 This package should be installed if you want to develop Python
520 programs that will manipulate RPM packages and databases.
521
522 %description -n python-rpm -l pl.UTF-8
523 Pakiet python-rpm zawiera moduł, który pozwala aplikacjom napisanym w
524 Pythonie na używanie interfejsu dostarczanego przez biblioteki RPM-a.
525
526 Pakiet ten powinien zostać zainstalowany, jeśli chcesz pisać w
527 Pythonie programy manipulujące pakietami i bazami danych rpm.
528
529 %description -n python-rpm -l pt_BR.UTF-8
530 O pacote python-rpm contém um módulo que permite que aplicações
531 escritas em Python utilizem a interface fornecida pelas bibliotecas
532 RPM (RPM Package Manager).
533
534 Esse pacote deve ser instalado se você quiser desenvolver programas em
535 Python para manipular pacotes e bancos de dados RPM.
536
537 %package -n python3-rpm
538 Summary:        Python 3 interface to RPM library
539 Summary(pl.UTF-8):      Interfejs Pythona 3 do biblioteki RPM-a
540 Summary(pt_BR.UTF-8):   Módulo Python 3 para aplicativos que manipulam pacotes RPM
541 Group:          Development/Languages/Python
542 Requires:       %{name} = %{epoch}:%{version}-%{release}
543 Requires:       python3
544
545 %description -n python3-rpm
546 The python3-rpm package contains a module which permits applications
547 written in the Python 3 programming language to use the interface
548 supplied by RPM (RPM Package Manager) libraries.
549
550 This package should be installed if you want to develop Python 3
551 programs that will manipulate RPM packages and databases.
552
553 %description -n python3-rpm -l pl.UTF-8
554 Pakiet python3-rpm zawiera moduł, który pozwala aplikacjom napisanym w
555 Pythonie 3 na używanie interfejsu dostarczanego przez biblioteki RPM-a.
556
557 Pakiet ten powinien zostać zainstalowany, jeśli chcesz pisać w
558 Pythonie 3 programy manipulujące pakietami i bazami danych rpm.
559
560 %description -n python3-rpm -l pt_BR.UTF-8
561 O pacote python3-rpm contém um módulo que permite que aplicações
562 escritas em Python 3 utilizem a interface fornecida pelas bibliotecas
563 RPM (RPM Package Manager).
564
565 Esse pacote deve ser instalado se você quiser desenvolver programas em
566 Python 3 para manipular pacotes e bancos de dados RPM.
567
568 %package plugin-audit
569 Summary:        Plugin for logging audit events on package operations
570 Group:          System/Base
571 Requires:       %{name}-lib = %{epoch}:%{version}-%{release}
572
573 %description plugin-audit
574 Plugin for libaudit support
575
576 %package plugin-syslog
577 Summary:        Plugin for syslog functionality
578 Group:          System/Base
579 Requires:       %{name}-lib = %{epoch}:%{version}-%{release}
580
581 %description plugin-syslog
582 This plugin exports RPM actions to the system log.
583
584 %package plugin-systemd-inhibit
585 Summary:        Plugin for systemd inhibit functionality
586 Group:          System/Base
587 Requires:       %{name}-lib = %{epoch}:%{version}-%{release}
588
589 %description plugin-systemd-inhibit
590 This plugin blocks systemd from entering idle, sleep or shutdown while
591 an rpm transaction is running using the systemd-inhibit mechanism.
592
593 %package plugin-ima
594 Summary:        Plugin for IMA file signatures
595 Group:          Base
596 Requires:       %{name}-lib = %{epoch}:%{version}-%{release}
597
598 %description plugin-ima
599 This plugin adds support for enforcing and verifying IMA file
600 signatures in an rpm.
601
602 %package plugin-prioreset
603 Summary:        Plugin for resetting scriptlet priorities for SysV init
604 Group:          Base
605 Requires:       %{name}-lib = %{epoch}:%{version}-%{release}
606
607 %description plugin-prioreset
608 This plugin is useful on legacy SysV init systems if you run rpm
609 transactions with nice/ionice priorities. Should not be used on
610 systemd systems.
611
612 %package plugin-selinux
613 Summary:        Plugin for SELinux functionality
614 Group:          Base
615 Requires:       %{name}-lib = %{epoch}:%{version}-%{release}
616 Requires:       libselinux >= 2.1.0
617
618 %description plugin-selinux
619 Plugin for SELinux functionality.
620
621 %package sign
622 Summary:        Package signing support
623 Group:          Base
624 Requires:       %{name}-lib = %{epoch}:%{version}-%{release}
625
626 %description sign
627 This package contains support for digitally signing RPM packages.
628
629 %package apidocs
630 Summary:        RPM API documentation and guides
631 Summary(pl.UTF-8):      Documentacja API RPM-a i przewodniki
632 Group:          Documentation
633 BuildArch:      noarch
634
635 %description apidocs
636 Documentation for RPM API and guides in HTML format generated from rpm
637 sources by doxygen.
638
639 %description apidocs -l pl.UTF-8
640 Dokumentacja API RPM-a oraz przewodniki w formacie HTML generowane ze
641 źrodeł RPM-a przez doxygen.
642
643 %prep
644 %setup -q -n %{name}-%{version}%{?subver}
645 %patch0 -p1
646 %patch1 -p1
647 %patch2 -p1
648 %patch3 -p1
649 %patch4 -p1
650 %patch5 -p1
651 %patch6 -p1
652 %patch7 -p0
653 %patch8 -p1
654 %patch9 -p1
655 %patch10 -p1
656 %patch11 -p1
657 %patch12 -p1
658 %patch13 -p1
659 %patch14 -p1
660 %patch15 -p1
661 %patch16 -p1
662 %patch17 -p1
663 #%patch18 -p1
664 %patch20 -p1
665 %patch21 -p1
666
667 install %{SOURCE8} scripts/php.prov.in
668 install %{SOURCE9} scripts/php.req.in
669 install %{SOURCE11} scripts/perl.prov.in
670 cp -p %{SOURCE30} scripts/rubygems.rb
671 cp -p %{SOURCE31} scripts/gem_helper.rb
672
673 %{__mv} -f scripts/perl.req{,.in}
674
675 # generate Group translations to *.po
676 awk -f %{SOURCE6} %{SOURCE1}
677
678 install %{SOURCE26} tools/rpmdb_checkversion.c
679 install %{SOURCE28} tools/rpmdb_reset.c
680
681 %{__sed} -i -e '1s,/usr/bin/python,%{__python},' scripts/pythondistdeps.py
682
683 %build
684 %{__libtoolize}
685 %{__aclocal}
686 %{__autoheader}
687 %{__autoconf}
688 %{__automake}
689
690 # rpm checks for CPU type at runtime, but it looks better
691 sed -i \
692         -e 's|@host@|%{_target_cpu}-%{_target_vendor}-%{_target_os}|' \
693         -e 's|@host_cpu@|%{_target_cpu}|' \
694         -e 's|@host_os@|%{_target_os}|' \
695         macros.in
696
697 CPPFLAGS="-I/usr/include/lua53 %{rpmcppflags}"
698 %configure \
699         WITH_PERL_VERSION=no \
700         __GST_INSPECT=%{_bindir}/gst-inspect-1.0 \
701         __GPG=%{_bindir}/gpg \
702         %{?with_python3:PYTHON=python3} \
703         %{!?with_python3:%{?with_python2:PYTHON=python2}} \
704         --disable-silent-rules \
705         --enable-shared \
706         --enable-bdb \
707         --enable-zstd \
708         --with-crypto=openssl \
709         --with-lua \
710         --with-cap \
711         --with-acl \
712         --with-audit \
713         --with-archive \
714 %if %{with python2} || %{with python3}
715         --enable-python \
716 %endif
717         --with-selinux=%{!?with_plugins:no}%{?with_plugins:yes} \
718         %{!?with_plugins:--disable-plugins} \
719         --with-vendor=pld
720
721 #  --enable-ndb (EXPERIMENTAL) enable the new rpm database format
722 #  --enable-lmdb=[yes/no/auto] (EXPERIMENTAL) build with LMDB rpm database format support (default=auto)
723 #  --with-imaevm           build with imaevm support
724
725 %{__make}
726
727 %{__cc} %{rpmcflags} -I/usr/include/db%{reqdb_ver} tools/rpmdb_checkversion.c \
728         -o tools/rpmdb_checkversion -ldb-%{reqdb_ver}
729 %{__cc} %{rpmcflags} -I/usr/include/db%{reqdb_ver} tools/rpmdb_reset.c \
730         -o tools/rpmdb_reset -ldb-%{reqdb_ver}
731
732 if tools/rpmdb_checkversion -V 2>&1 | grep "t match library version"; then
733         echo "Error linking rpmdb tools!"
734         exit 1
735 fi
736 if tools/rpmdb_reset -V 2>&1 | grep "t match library version"; then
737         echo "Error linking rpmdb tools!"
738         exit 1
739 fi
740
741 %if %{with python2}
742 cd python
743 %py_build
744 cd ..
745 %endif
746
747 %if %{with python3}
748 cd python
749 %py3_build
750 %endif
751
752 %install
753 rm -rf $RPM_BUILD_ROOT
754 install -d $RPM_BUILD_ROOT{/bin,/%{_lib},/etc/sysconfig,%{_sysconfdir}/{rpm,pki/rpm-gpg}} \
755         $RPM_BUILD_ROOT{/var/lib/{banner,rpm},/var/cache/hrmib}
756
757 cp -p %{SOURCE16} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/PLD-3.0-Th-GPG-key.asc
758
759 %{__make} install \
760         pkgconfigdir=%{_pkgconfigdir} \
761         DESTDIR=$RPM_BUILD_ROOT
762
763 # cleanup
764 %ifnarch %{ix86} %{x8664} x32
765 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/athlon-linux/macros
766 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/geode-linux/macros
767 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/i386-linux/macros
768 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/i486-linux/macros
769 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/i586-linux/macros
770 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/i686-linux/macros
771 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/pentium3-linux/macros
772 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/pentium4-linux/macros
773 %endif
774
775 %ifnarch %{x8664} x32
776 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/amd64-linux/macros
777 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ia32e-linux/macros
778 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/x32-linux/macros
779 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/x86_64-linux/macros
780 %endif
781
782 %ifnarch %{ppc}
783 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/m68k-linux/macros
784 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ppc32dy4-linux/macros
785 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ppc64*-linux/macros
786 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ppc8260-linux/macros
787 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ppc8560-linux/macros
788 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ppc-linux/macros
789 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ppc*series-linux/macros
790 %endif
791
792 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/aarch64-linux/macros
793 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/alpha*-linux/macros
794 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/arm*-linux/macros
795 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ia64-linux/macros
796 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/mips*-linux/macros
797 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/riscv64-linux/macros
798 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/s390*-linux/macros
799 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/sh*-linux/macros
800 rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/sparc*-linux/macros
801
802 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-lang.sh
803
804 install -d $RPM_BUILD_ROOT%{_rpmlibdir}/pld
805 cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_rpmlibdir}/pld/macros
806 cp -p %{SOURCE32} $RPM_BUILD_ROOT%{_rpmlibdir}/pld/rpmrc
807
808 cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_rpmlibdir}/install-build-tree
809 cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_rpmlibdir}/find-spec-bcond
810 cp -p %{SOURCE7} $RPM_BUILD_ROOT%{_rpmlibdir}/compress-doc
811 cp -p %{SOURCE12} $RPM_BUILD_ROOT%{_rpmlibdir}/user_group.sh
812 cp -p %{SOURCE14} $RPM_BUILD_ROOT%{_rpmlibdir}/java-find-requires
813 cp -p scripts/php.{prov,req}    $RPM_BUILD_ROOT%{_rpmlibdir}
814 cp -p %{SOURCE25} $RPM_BUILD_ROOT%{_rpmlibdir}/php.req.php
815 cp -p %{SOURCE17} $RPM_BUILD_ROOT%{_rpmlibdir}/mimetypedeps.sh
816 cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_rpmlibdir}/hrmib-cache
817 cp -p %{SOURCE13} $RPM_BUILD_ROOT/etc/sysconfig/rpm
818
819 cp -p %{SOURCE15} $RPM_BUILD_ROOT%{_bindir}/banner.sh
820
821 install -d $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo
822
823 cp -p %{SOURCE18} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros
824 cp -p %{SOURCE27} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.lang
825 cp -p %{SOURCE19} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautocompressdoc
826 cp -p %{SOURCE20} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprov
827 cp -p %{SOURCE21} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprovfiles
828 cp -p %{SOURCE22} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreq
829 cp -p %{SOURCE24} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqfiles
830
831 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Conflictname
832 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Dirnames
833 cp -p %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Filelinktos
834 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Obsoletename
835 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Providename
836 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Requirename
837
838 cp -p tools/rpmdb_checkversion $RPM_BUILD_ROOT%{_rpmlibdir}/
839 cp -p tools/rpmdb_reset $RPM_BUILD_ROOT%{_rpmlibdir}/
840 cp -p %{SOURCE29} $RPM_BUILD_ROOT%{_rpmlibdir}/dbupgrade.sh
841
842 # move rpm to /bin
843 %{__mv} $RPM_BUILD_ROOT%{_bindir}/rpm $RPM_BUILD_ROOT/bin
844 ln -sf /bin/rpm $RPM_BUILD_ROOT%{_bindir}/rpmquery
845 ln -sf /bin/rpm $RPM_BUILD_ROOT%{_bindir}/rpmverify
846
847 # move essential libs to /lib (libs that /bin/rpm links to)
848 for a in librpm.so librpmbuild.so librpmio.so librpmsign.so; do
849         mv -f $RPM_BUILD_ROOT%{_libdir}/${a}.* $RPM_BUILD_ROOT/%{_lib}
850         ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/${a}.*.*.*) $RPM_BUILD_ROOT%{_libdir}/${a}
851 done
852
853 #./rpmdb --macros=macros --rcfile=rpmrc --dbpath=/home/users/baggins/devel/PLD/rpm/BUILD/rpm-4.15.1/x/ --initdb
854
855 %if %{with python2}
856 # Remove anything that rpm make install might put there
857 %{__rm} -rf $RPM_BUILD_ROOT%{py_sitedir}
858 cd python
859 %py_install
860 %py_postclean
861 cd ..
862 %endif
863
864 %if %{with python3}
865 # Remove anything that rpm make install might put there
866 %{__rm} -rf $RPM_BUILD_ROOT%{py3_sitedir}
867 cd python
868 %py3_install
869 cd ..
870 %endif
871
872 %{__rm} $RPM_BUILD_ROOT%{_libdir}/rpm-plugins/*.la
873
874 # wrong location, not used anyway
875 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/rpm.{daily,log}
876
877 %find_lang %{name}
878
879 %clean
880 rm -rf $RPM_BUILD_ROOT
881
882 %pretrans
883 # this needs to be a dir
884 if [ -f %{_sysconfdir}/rpm/sysinfo ]; then
885         umask 022
886         mv -f %{_sysconfdir}/rpm/sysinfo{,.rpmsave}
887         mkdir %{_sysconfdir}/rpm/sysinfo
888 fi
889
890 %posttrans
891 if [ -e /var/lib/rpm/Packages ] && \
892                 ! %{_rpmlibdir}/rpmdb_checkversion -h /var/lib/rpm -d /var/lib/rpm; then
893         if [ ! -e /var/lib/rpm.rpmbackup-%{version}-%{release} ] && \
894                         /bin/cp -a /var/lib/rpm /var/lib/rpm.rpmbackup-%{version}-%{release}; then
895                 echo
896                 echo "Backup of the rpm database has been created in /var/lib/rpm.rpmbackup-%{version}-%{release}"
897                 echo
898         fi
899         echo
900         echo 'If poldek aborts after migration with rpmdb error, this is expected behaviour,'
901         echo 'you should ignore it and restart poldek'
902         echo
903         %{_rpmlibdir}/dbupgrade.sh
904 fi
905
906 %triggerpostun -- %{name} < 4.4.9-44
907 %{_rpmlibdir}/hrmib-cache
908
909 %post   lib -p /sbin/ldconfig
910 %postun lib -p /sbin/ldconfig
911
912 %pretrans build
913 find %{_rpmlibdir} -name '*-linux' -type l | xargs rm -f
914
915 %files -f %{name}.lang
916 %defattr(644,root,root,755)
917 %doc ChangeLog CREDITS README
918
919 %dir /etc/pki/rpm-gpg
920 /etc/pki/rpm-gpg/PLD-3.0-Th-GPG-key.asc
921
922 %attr(755,root,root) /bin/rpm
923 %attr(755,root,root) %{_bindir}/rpmdb
924 %attr(755,root,root) %{_bindir}/rpmkeys
925 %attr(755,root,root) %{_bindir}/rpmquery
926 %attr(755,root,root) %{_bindir}/rpmverify
927
928 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros
929 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros.lang
930 %dir %{_sysconfdir}/rpm/sysinfo
931 # these are ok to be replaced
932 %config %verify(not md5 mtime size) %{_sysconfdir}/rpm/sysinfo/*
933
934 %{_mandir}/man8/rpm.8*
935 %{_mandir}/man8/rpmdb.8*
936 %{_mandir}/man8/rpmkeys.8*
937 %{_mandir}/man8/rpm-misc.8*
938 %lang(fr) %{_mandir}/fr/man8/rpm.8*
939 %lang(ja) %{_mandir}/ja/man8/rpm.8*
940 %lang(ko) %{_mandir}/ko/man8/rpm.8*
941 %lang(pl) %{_mandir}/pl/man8/rpm.8*
942 %lang(ru) %{_mandir}/ru/man8/rpm.8*
943 %lang(sk) %{_mandir}/sk/man8/rpm.8*
944
945 %dir /var/lib/rpm
946
947 # exported package NVRA (stamped with install tid)
948 # net-snmp hrSWInstalledName queries, bash-completions
949 %dir /var/cache/hrmib
950
951 %{_rpmlibdir}/rpmpopt*
952 %{_rpmlibdir}/rpmrc
953 %{_rpmlibdir}/macros
954 %dir %{_rpmlibdir}/macros.d
955 %dir %{_rpmlibdir}/platform
956 %{_rpmlibdir}/platform/noarch-*
957 %ifarch %{ix86} %{x8664} x32
958 %{_rpmlibdir}/platform/athlon*
959 %{_rpmlibdir}/platform/geode*
960 %{_rpmlibdir}/platform/i?86*
961 %{_rpmlibdir}/platform/pentium*
962 %endif
963 %ifarch %{x8664} x32
964 %{_rpmlibdir}/platform/amd64*
965 %{_rpmlibdir}/platform/ia32e*
966 %{_rpmlibdir}/platform/x86_64*
967 %{_rpmlibdir}/platform/x32*
968 %endif
969 %ifarch alpha
970 %{_rpmlibdir}/platform/alpha*
971 %endif
972 %ifarch ia64
973 %{_rpmlibdir}/platform/ia64*
974 %endif
975 %ifarch mips mipsel mips64 mips64el
976 %{_rpmlibdir}/platform/mips*
977 %endif
978 %ifarch %{ppc}
979 %{_rpmlibdir}/platform/ppc*
980 %endif
981 %ifarch sparc sparc64
982 %{_rpmlibdir}/platform/sparc*
983 %endif
984
985 %{_rpmlibdir}/pld/macros
986 %{_rpmlibdir}/pld/rpmrc
987
988 %attr(755,root,root) %{_rpmlibdir}/hrmib-cache
989
990 %attr(755,root,root) %{_rpmlibdir}/dbupgrade.sh
991 %attr(755,root,root) %{_rpmlibdir}/rpmdb_checkversion
992 %attr(755,root,root) %{_rpmlibdir}/rpmdb_reset
993
994 # valgrind suppression file for rpm
995 %{_rpmlibdir}/rpm.supp
996
997 %files base
998 %defattr(644,root,root,755)
999 %dir %{_sysconfdir}/rpm
1000 %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpm
1001 %dir %{_rpmlibdir}
1002 %attr(755,root,root) %{_bindir}/banner.sh
1003 %attr(755,root,root) %{_rpmlibdir}/user_group.sh
1004 %dir /var/lib/banner
1005
1006 %files lib
1007 %defattr(644,root,root,755)
1008 %attr(755,root,root) /%{_lib}/librpm.so.9
1009 %attr(755,root,root) /%{_lib}/librpm.so.%{sover}
1010 %attr(755,root,root) /%{_lib}/librpmbuild.so.9
1011 %attr(755,root,root) /%{_lib}/librpmbuild.so.%{sover}
1012 %attr(755,root,root) /%{_lib}/librpmio.so.9
1013 %attr(755,root,root) /%{_lib}/librpmio.so.%{sover}
1014 %attr(755,root,root) /%{_lib}/librpmsign.so.9
1015 %attr(755,root,root) /%{_lib}/librpmsign.so.%{sover}
1016 %{?with_plugins:%dir %{_libdir}/rpm-plugins}
1017
1018 %files devel
1019 %defattr(644,root,root,755)
1020 %attr(755,root,root) %{_libdir}/librpm.so
1021 %attr(755,root,root) %{_libdir}/librpmbuild.so
1022 %attr(755,root,root) %{_libdir}/librpmio.so
1023 %attr(755,root,root) %{_libdir}/librpmsign.so
1024 %{_libdir}/librpm*.la
1025 %{_includedir}/rpm
1026 %{_pkgconfigdir}/*.pc
1027
1028 %files utils
1029 %defattr(644,root,root,755)
1030 %attr(755,root,root) %{_bindir}/rpm2archive
1031 %attr(755,root,root) %{_bindir}/rpm2cpio
1032 %attr(755,root,root) %{_bindir}/rpmgraph
1033 %attr(755,root,root) %{_rpmlibdir}/rpm2cpio.sh
1034 %attr(755,root,root) %{_rpmlibdir}/find-debuginfo.sh
1035 %attr(755,root,root) %{_rpmlibdir}/rpmdb_loadcvt
1036 %attr(755,root,root) %{_rpmlibdir}/tgpg
1037 %attr(755,root,root) %{_rpmlibdir}/debugedit
1038 %attr(755,root,root) %{_rpmlibdir}/rpmdeps
1039 %{_mandir}/man8/rpm2cpio.8*
1040 %{_mandir}/man8/rpmdeps.8*
1041 %{_mandir}/man8/rpmgraph.8*
1042 %lang(ja) %{_mandir}/ja/man8/rpm2cpio.8*
1043 %lang(ko) %{_mandir}/ko/man8/rpm2cpio.8*
1044 %lang(pl) %{_mandir}/pl/man8/rpm2cpio.8*
1045 %lang(ru) %{_mandir}/ru/man8/rpm2cpio.8*
1046 %lang(pl) %{_mandir}/pl/man8/rpmdeps.8*
1047 %lang(ja) %{_mandir}/ja/man8/rpmgraph.8*
1048 %lang(pl) %{_mandir}/pl/man8/rpmgraph.8*
1049
1050 %files build
1051 %defattr(644,root,root,755)
1052 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/noauto*
1053 %attr(755,root,root) %{_rpmlibdir}/brp-*
1054 %attr(755,root,root) %{_rpmlibdir}/check-files
1055 %attr(755,root,root) %{_rpmlibdir}/compress-doc
1056 %attr(755,root,root) %{_rpmlibdir}/find-spec-bcond
1057 %attr(755,root,root) %{_rpmlibdir}/install-build-tree
1058 %attr(755,root,root) %{_rpmlibdir}/elfdeps
1059 %attr(755,root,root) %{_rpmlibdir}/libtooldeps.sh
1060 %attr(755,root,root) %{_rpmlibdir}/mimetypedeps.sh
1061 # needs hacked pkg-config to return anything
1062 %attr(755,root,root) %{_rpmlibdir}/pkgconfigdeps.sh
1063 %attr(755,root,root) %{_rpmlibdir}/mkinstalldirs
1064 # we always used scripts provided by mono-devel, maybe move them here
1065 #%attr(755,root,root) %{_rpmlibdir}/mono-find-provides
1066 #%attr(755,root,root) %{_rpmlibdir}/mono-find-requires
1067
1068 %attr(755,root,root) %{_rpmlibdir}/fontconfig.prov
1069 # must be here for "Requires: rpm-*prov" to work
1070 #%{_rpmlibdir}/macros.d/cmake
1071 #%{_rpmlibdir}/macros.d/gstreamer
1072 #%{_rpmlibdir}/macros.d/java
1073 #%{_rpmlibdir}/macros.d/libtool
1074 #%{_rpmlibdir}/macros.d/mono
1075 #%{_rpmlibdir}/macros.d/perl
1076 #%{_rpmlibdir}/macros.d/php
1077 #%{_rpmlibdir}/macros.d/pkgconfig
1078 #%{_rpmlibdir}/macros.d/python
1079 #%{_rpmlibdir}/macros.d/ruby
1080 #%{_rpmlibdir}/macros.d/selinux
1081 #%{_rpmlibdir}/macros.d/tcl
1082 #%{_rpmlibdir}/macros.rpmbuild
1083
1084 %attr(755,root,root) %{_rpmlibdir}/check-buildroot
1085 %attr(755,root,root) %{_rpmlibdir}/check-prereqs
1086 %attr(755,root,root) %{_rpmlibdir}/check-rpaths
1087 %attr(755,root,root) %{_rpmlibdir}/check-rpaths-worker
1088 %attr(755,root,root) %{_rpmlibdir}/debuginfo.prov
1089 %attr(755,root,root) %{_rpmlibdir}/desktop-file.prov
1090 %attr(755,root,root) %{_rpmlibdir}/find-provides
1091 %attr(755,root,root) %{_rpmlibdir}/find-requires
1092 %attr(755,root,root) %{_rpmlibdir}/metainfo.prov
1093 %attr(755,root,root) %{_rpmlibdir}/ocaml-find-provides.sh
1094 %attr(755,root,root) %{_rpmlibdir}/ocaml-find-requires.sh
1095 %attr(755,root,root) %{_rpmlibdir}/script.req
1096 %attr(755,root,root) %{_rpmlibdir}/sepdebugcrcfix
1097 # Fedora has this in -build, but shouldn't this be in -devel?
1098 %attr(755,root,root) %{_rpmlibdir}/config.guess
1099 %attr(755,root,root) %{_rpmlibdir}/config.sub
1100
1101 %dir %{_rpmlibdir}/fileattrs
1102 %{_rpmlibdir}/fileattrs/debuginfo.attr
1103 %{_rpmlibdir}/fileattrs/desktop.attr
1104 %{_rpmlibdir}/fileattrs/elf.attr
1105 %{_rpmlibdir}/fileattrs/font.attr
1106 %{_rpmlibdir}/fileattrs/java.attr
1107 %{_rpmlibdir}/fileattrs/libtool.attr
1108 %{_rpmlibdir}/fileattrs/metainfo.attr
1109 %{_rpmlibdir}/fileattrs/ocaml.attr
1110 %{_rpmlibdir}/fileattrs/perl.attr
1111 %{_rpmlibdir}/fileattrs/perllib.attr
1112 %{_rpmlibdir}/fileattrs/php.attr
1113 %{_rpmlibdir}/fileattrs/pkgconfig.attr
1114 %{_rpmlibdir}/fileattrs/python.attr
1115 %{_rpmlibdir}/fileattrs/pythondist.attr
1116 %{_rpmlibdir}/fileattrs/script.attr
1117
1118 %attr(755,root,root) %{_bindir}/gendiff
1119 %attr(755,root,root) %{_bindir}/rpmbuild
1120 %attr(755,root,root) %{_bindir}/rpmspec
1121
1122 %{_mandir}/man1/gendiff.1*
1123 %lang(pl) %{_mandir}/pl/man1/gendiff.1*
1124 %{_mandir}/man8/rpmbuild.8*
1125 %lang(ja) %{_mandir}/ja/man8/rpmbuild.8*
1126 %lang(pl) %{_mandir}/pl/man8/rpmbuild.8*
1127 %{_mandir}/man8/rpmspec.8*
1128
1129 %files javaprov
1130 %defattr(644,root,root,755)
1131 %attr(755,root,root) %{_rpmlibdir}/java-find-requires
1132 # needs jar (any jdk), jcf-dump (gcc-java) to work
1133 #%attr(755,root,root) %{_rpmlibdir}/javadeps.sh
1134
1135 %files rubyprov
1136 %defattr(644,root,root,755)
1137 #%attr(755,root,root) %{_rpmlibdir}/gem_helper.rb
1138 #%attr(755,root,root) %{_rpmlibdir}/rubygems.rb
1139
1140 %files perlprov
1141 %defattr(644,root,root,755)
1142 %attr(755,root,root) %{_rpmlibdir}/perl.*
1143
1144 %files pythonprov
1145 %defattr(644,root,root,755)
1146 %attr(755,root,root) %{_rpmlibdir}/pythondeps.sh
1147 %attr(755,root,root) %{_rpmlibdir}/pythondistdeps.py
1148
1149 %files php-pearprov
1150 %defattr(644,root,root,755)
1151 %attr(755,root,root) %{_rpmlibdir}/php.prov
1152 %attr(755,root,root) %{_rpmlibdir}/php.req
1153 %attr(755,root,root) %{_rpmlibdir}/php.req.php
1154
1155 %if %{with python2}
1156 %files -n python-rpm
1157 %defattr(644,root,root,755)
1158 %dir %{py_sitedir}/rpm
1159 %attr(755,root,root) %{py_sitedir}/rpm/*.so
1160 %{py_sitedir}/rpm/*.py[co]
1161 %{py_sitedir}/rpm-%{version}-py*.egg-info
1162 %endif
1163
1164 %if %{with python3}
1165 %files -n python3-rpm
1166 %defattr(644,root,root,755)
1167 %dir %{py3_sitedir}/rpm
1168 %attr(755,root,root) %{py3_sitedir}/rpm/*.so
1169 %{py3_sitedir}/rpm/*.py
1170 %{py3_sitedir}/rpm-%{version}-py*.egg-info
1171 %{py3_sitedir}/rpm/__pycache__
1172 %endif
1173
1174 %if %{with plugins}
1175 %files plugin-audit
1176 %defattr(644,root,root,755)
1177 %attr(755,root,root) %{_libdir}/rpm-plugins/audit.so
1178
1179 %files plugin-syslog
1180 %defattr(644,root,root,755)
1181 %attr(755,root,root) %{_libdir}/rpm-plugins/syslog.so
1182
1183 %files plugin-systemd-inhibit
1184 %defattr(644,root,root,755)
1185 %attr(755,root,root) %{_libdir}/rpm-plugins/systemd_inhibit.so
1186 %{_mandir}/man8/rpm-plugin-systemd-inhibit.8*
1187
1188 %files plugin-ima
1189 %defattr(644,root,root,755)
1190 %attr(755,root,root) %{_libdir}/rpm-plugins/ima.so
1191
1192 %files plugin-prioreset
1193 %defattr(644,root,root,755)
1194 %attr(755,root,root) %{_libdir}/rpm-plugins/prioreset.so
1195
1196 %files plugin-selinux
1197 %defattr(644,root,root,755)
1198 %attr(755,root,root) %{_libdir}/rpm-plugins/selinux.so
1199 %endif
1200
1201 %files sign
1202 %defattr(644,root,root,755)
1203 %attr(755,root,root) %{_bindir}/rpmsign
1204 %{_mandir}/man8/rpmsign.8*
1205
1206 %if %{with apidocs}
1207 %files apidocs
1208 %defattr(644,root,root,755)
1209 %doc doc/librpm/html/*
1210 %endif
This page took 0.133982 seconds and 3 git commands to generate.